.switchAlignContents{
  display: flex;
  align-items: center;
  justify-content: center;
}

.switch {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: var(--switch-width);
  height: var(--switch-height);
  border-radius: var(--switch-round);
  cursor: pointer;
  transition: var(--transition);
  background: var(--switch-bg);
}

.switch::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: var(--switch-round);
  opacity: 0;
  background: var(--switch-dark-bg);
  transition: var(--transition);
}

:global(body.dark) .switch::before {
  opacity: 1;
}

.border {
  position: absolute;
  top: calc(var(--border-width) * -1);
  left: calc(var(--border-width) * -1);
  width: calc(100% + var(--border-width) * 2);
  height: calc(100% + var(--border-width) * 2);
  border-radius: var(--switch-round);
  background: var(--border-gradient);
  z-index: -1;
  transition: var(--transition);
}

.border::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: var(--switch-round);
  background: var(--border-dark-gradient);
  opacity: 0;
  transition: var(--transition);
}

:global(body.dark) .border::after {
  opacity: 1;
}

.switch input {
  display: none;
}

.sunmoon {
  position: absolute;
  width: var(--sunmoon-size);
  height: var(--sunmoon-size);
  border-radius: 50%;
  transition: var(--transition);
  left: var(--switch-padding-x);
  z-index: 1;
  background-color: var(--sunmoon);
  box-shadow: var(--sunmoon-box);
}

.sunmoon:hover {
  transform: scale(1.1);
}

:global(body.dark) .sunmoon {
  left: calc(100% - var(--sunmoon-size) - var(--switch-padding-x));
  background-color: var(--sunmoon);
  box-shadow: var(--sunmoon-box);
}

.darkside {
  position: absolute;
  top: 2px;
  left: 2px;
  width: 75%;
  height: 75%;
  border-radius: 50%;
  background-color: #ffc187;
  transition: var(--transition);
}

:global(body.dark) .darkside {
  background-color: #000000;
  top: 0px;
  left: 0px;
}

.clouds {
  border-radius: var(--switch-round);
  position: relative;
  height: 100%;
  width: 100%;
  overflow: hidden;
}

.cloud {
  position: absolute;
  width: 60%;
  transition: var(--transition);
}

.cloud:hover {
  transform: scale(1.25);
}

.cloud1 {
  bottom: -84%;
  left: -24px;
}

.cloud2 {
  bottom: -88%;
  left: 13px;
}

.cloud3 {
  bottom: -84%;
  right: 0px;
}

.cloud4 {
  bottom: -60%;
  right: -10px;
}

:global(body.dark) .cloud1 {
  bottom: -35%;
  left: -110px;
}

:global(body.dark) .cloud2 {
  bottom: -15%;
  left: -110px;
  transition: all 0.7s ease;
}

:global(body.dark) .cloud3 {
  bottom: -15%;
  right: -110px;
}

:global(body.dark) .cloud4 {
  bottom: -5%;
  right: -110px;
  transition: all 0.7s ease;
}

.stars {
  position: absolute;
  top: 150%;
  left: 0;
  transform: translateY(-50%);
  pointer-events: none;
  transition: var(--transition);
}

:global(body.dark) .stars {
  top: 50%;
}

/*MOBILE*/
@media (max-width: 768px) {
  .switchAlignContents{
    padding-right: 5px;
  }
}

@media (max-width: 399px) {
  .switch {
    width: 50px;
  }
}